### Class

# Gio EmblemedIcon

since: 2.0

#### Description

    class Gio.EmblemedIcon : GObject.Object
      implements Gio.Icon {
      /* No available fields */
    }

`GEmblemedIcon` is an implementation of `GIcon` that supports adding an emblem to an icon. Adding multiple emblems to an icon is ensured via `g_emblemed_icon_add_emblem()`.

Note that `GEmblemedIcon` allows no control over the position of the emblems. See also `GEmblem` for more information.

Available since: 2.0

#### Ancestors

- GObject

#### Implements

- GIcon

#### Constructors

###### g_emblemed_icon_new

Creates a new emblemed icon for `icon` with the emblem `emblem`.

since: 2.18

#### Instance methods

###### g_emblemed_icon_add_emblem

Adds `emblem` to the `GList` of `GEmblems`.

since: 2.18

###### g_emblemed_icon_clear_emblems

Removes all the emblems from `icon`.

since: 2.28

###### g_emblemed_icon_get_emblems

Gets the list of emblems for the `icon`.

since: 2.18

###### g_emblemed_icon_get_icon

Gets the main icon for `emblemed`.

since: 2.18

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GIcon (4)

###### g_icon_equal

Checks if two icons are equal.

since: 2.0

###### g_icon_hash

Gets a hash for an icon.

since: 2.0

###### g_icon_serialize

Serializes a `GIcon` into a `GVariant`. An equivalent `GIcon` can be retrieved back by calling `g_icon_deserialize()` on the returned value. As serialization will avoid using raw icon data when possible, it only makes sense to transfer the `GVariant` between processes on the same machine, (as opposed to over the network), and within the same file system namespace.

since: 2.38

###### g_icon_to_string

Generates a textual representation of `icon` that can be used for serialization such as when passing `icon` to a different process or saving it to persistent storage. Use `g_icon_new_for_string()` to get `icon` back from the returned string.

since: 2.20

#### Properties

###### Gio.EmblemedIcon:gicon

The `GIcon` to attach emblems to.

since: 2.18

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct GioEmblemedIconClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.